#
# spec file for package python-flake8-imports
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-flake8-imports
Version:        0.1.1
Release:        2.20
Summary:        isort extension for flake8
License:        MIT
Group:          Development/Languages/Python
Url:            https://gitlab.com/mvantellingen/flake8-imports
Source:         https://files.pythonhosted.org/packages/source/f/flake8-imports/flake8_imports-%{version}.tar.gz
Source1:        LICENSE
BuildRequires:  %{python_module isort}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module flake8 >= 3.0.0}
# /SECTION
BuildRequires:  fdupes
Requires:       python-isort
BuildArch:      noarch

%python_subpackages

%description
isort extension for flake8.

%prep
%setup -q -n flake8_imports-%{version}
cp %{SOURCE1} LICENSE

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Dec  7 2018 Jan Engelhardt <jengelh@inai.de>
- Grammar fix for descriptions.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri Nov 16 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Initial build
  + Version 0.1.1
